Bug 2890 - Request for A-GPS functionality and information about nvd_data file format
: Request for A-GPS functionality and information about nvd_data file format
Status: RESOLVED FIXED
Product: Location
General
: 4.0
: N810 Linux
: Low enhancement with 9 votes (vote)
: ---
Assigned To: unassigned
: location-framework-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-05 14:35 UTC by Simon Pickering
Modified: 2008-12-06 14:37 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Simon Pickering (reporter) maemo.org 2008-02-05 14:35:54 UTC
SOFTWARE VERSION: OS2008

The N810 does not appear to use the AGPS functionality that is built into the
Ti NaviLink GPS5300 GPS chip.

Is A-GPS functionality planned for a future software release?

If not, or if it's undecided, could the format of the /var/lib/gps/nvd_data
data file be released as I presume this holds the data used by the GPS chipset
to enable warm-starts. If we could write to this file to provide up-to-date
almanac and ephemeris data (by whatever means) we should hopefully be able to
produce quicker fixes.
Comment 1 ag2 2008-02-06 13:15:09 UTC
"If we could write to this file to provide up-to-date 
almanac and ephemeris data" --

I believe almanac data is completely ignored by GPS5300. In any case, almanac
data is valid for about a year; AGPS is for downloading up-to-date ephemeris
data only.

Does GPS5300 support offline AGPS? Online AGPS is only marginally useful, as
most people do not keep their tablets paired to cell phones at all times.
Comment 2 Andrew Flegg maemo.org 2008-02-17 01:46:46 UTC
(In reply to comment #1)
> Online AGPS is only marginally useful, as
> most people do not keep their tablets paired to cell phones at all times.

"Most people"? My tablet's always paired with my mobile phone, it may not be
always *connected* but any time it wanted to connect to get CellID information
from it to speed up GPS lock acquisition, it could.

Ideally such functionality could also feed into a GeoClue layer provided as
part of Maemo core.
Comment 3 Simon Pickering (reporter) maemo.org 2008-04-21 17:35:25 UTC
Assuming that we can't have the format due to NDAs, etc., would it be possible
for an interface to be written to allow us to send estimated position data to
the AGPS chip?

This would obviously require some, but hopefully not too much, work on the part
of Nokia (hopefully the firmware part of this is mostly done as it works in the
N95, etc.)

My point being that I don't want it all done for me, but I'd like a bit of info
so I can get hacking and try to get something working (which is after all the
reason the ITs appeal to me).
Comment 4 Karsten Br├Ąckelmann 2008-05-23 15:04:30 UTC
Re-setting the assignee, since Carlos moved on to other tasks.

Please note that this does not affect the legitimacy of the bug in any way.
It's a purely administrative operation. Sorry for the noise.
Comment 5 Andre Klapper maemo.org 2008-10-27 15:42:39 UTC
CC'ing Quim as this might affect IP issues.
Comment 6 Simon Pickering (reporter) maemo.org 2008-10-28 18:57:41 UTC
This bug should either be closed (as we have A-GPS functionality now) or
renamed to take account of the fact that we're now after some way to hook into
the A-GPS sub-system (that being a preferable option to our directly writing to
the nvd_data file ourselves.

It would still be interesting to know the format of nvd_data though, but I
doubt that's what people were actually voting for.

But perhaps closing is a cleaner method to keep the history intact and allow
people to vote again if they still want to see the nvd_data and a way to hook
into the A-GPS/supl system.
Comment 7 Quim Gil nokia 2008-10-29 11:48:01 UTC
Indeed. AGPS is now provided in Diablo, request fixed.

If you really need that data please open a new request.